dpodesta

Add new tab button not working jooml 3.3

7 posts in this topic

Hi

I can't add a tab. The button add new tab is not responsive.

Using joomla 3.3.

I had this problem with joomlaworks "simple image gallery" was caused because 3.3 by default is not loading it's core functions.

Is this a similar issue??

I had to add this code:

JHtml::_('script', 'system/core.js', false, true);

Does the module need this as well?

David

Share this post


Link to post
Share on other sites

Please open file /mod_btquickcontact/admin/formfields/asset.php

Find this line

if (version_compare(JVERSION, '3.0', 'ge')) {

And add right below it this line

JHTML::_('behavior.framework', true);

The problem will be solved

Share this post


Link to post
Share on other sites

Hello!

Can you also upgrade this module in Download section for people who are only subsrcibed to BT Travel template? The last version that I can download is 2.1.1 and I have the same problem. I tried to fix it like David said but the "Add new tab" button is not responsive. I have Joomla 3.3.1.

Thanks!!!

Share this post


Link to post
Share on other sites

Hi

If you use David's solution and the problem isn't solved, i am afraid that there is other conflict on your site.

Please use Inspect Elements tool of browser and open Console tab to capture javascript error.

Then give it to me.

Maybe i will know what is the problem

Thanks

Share this post


Link to post
Share on other sites

Hi again!

Please take a look at the grabshot.

My site is actually from the quickstart packgage Bt Travel, and the problem is that the module called "Tab right mass top", although it has content tha I can see on the frontend, on the backend I just have buttons Add new Tab and Delete all tab and nothing else (look at the printscreen). Also, I can't add new tab, the button is dead.

If needed I can give you my login details.

Thanks in advanced,

Kind regards,

Tasos

post-156436-0-02025500-1403010672_thumb.

Share this post


Link to post
Share on other sites

Hi.

I'm so sorry for my late.

With this problem, please open file /mod_bt_tabs/admin/formfield/asset.php

Find this line

if (version_compare(JVERSION, '3.0', 'ge'))

And add right below it this line

JHTML::_('behavior.framework', true);

The problem will be solved

Share this post


Link to post
Share on other sites